Present Credential
Present the selected credential from the Wallet to the verifier for OID4VP.
Submit a credential to a verifier via the OID4VP protocol.
This API should be called once the end user has consented to presentation of their selected credentials to proceed with the OID4VP protocol and present them to the verifier.
Currently, only one credential can be selected for presentation per
Authorization Request. The verificationSessionId had been
returned from the /verify/initiate call.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidverificationSessionId*string
A unique ID of the verify session.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Request Body
application/json
selectedCredentialId*string
The unique identifier of the credential selected for presentation.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/verify/dd6473c2-2043-4523-b359-ceb596ddae66/present" \ -H "Authorization: Bearer {access_token}" \ -H "Content-Type: application/json" \ -d '{ "selectedCredentialId": "3c833a84-94eb-477d-91ca-a9f68c5cda31" }'Empty
{
"message": "Bad request"
}{
"message": "Verify session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}Empty
{
"message": "Unsupported functionality"
}